lxc-unshare(1)

NAME
lxc-unshare - Run a task in a new set of namespaces.

SYNOPSIS
lxc-clone
{-s namespaces} {-u user} {command}

DESCRIPTION
lxc-unshare can be used to run a task in a cloned set of namespaces. This command is mainly provided for testing purposes. Despite its name, it always uses clone rather than unshare to create the new task with fresh namespaces. Apart from testing kernel regressions this should make no difference.

OPTIONS

\FC-s \F[]namespaces
    Specify the namespaces to attach to, as a pipe-separated list, e.g. NETWORK|IPC. Allowed values are MOUNT, PID, UTSNAME, IPC, USER and NETWORK. This allows one to change the context of the process to e.g. the network namespace of the container while retaining the other namespaces as those of the host.

\FC-u \F[]user
    Specify a user which the new task should become. This option is only valid if a user namespace is unshared.

EXAMPLES
To spawn a new shell with its own UTS (hostname) namespace,
\FC
          lxc-clone -s UTSNAME /bin/bash
        \F[]
If the hostname is changed in that shell, the change will not be reflected on the host.

To spawn a shell in a new network, pid, and mount namespace,
\FC
          lxc-clone -s "NETWORK|PID|MOUNT" /bin/bash
        \F[]
The resulting shell will have pid 1 and will see no network interfaces. After re-mounting /proc in that shell,
\FC
          mount -t proc proc /proc
        \F[]
ps output will show there are no other processes in the namespace.

SEE ALSO
lxc(1), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-kill(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-ps(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR
Daniel Lezcano <\FCdaniel.lezcano@free.fr\F[]>